CorebanqCorebanq Developer Docs
Currenciesv2

Get all currencies with pagination

Retrieves a paginated list of all currencies.

GET/v2/currencies

Response Body

application/json

curl -X GET "https://example.com/v2/currencies"
{
  "data": [
    {
      "code": "SAR",
      "numeric_code": "682",
      "decimal_places": 2,
      "symbol": "SAR",
      "is_fiat": true,
      "is_base": false,
      "precision": 4,
      "rounding": "half_up",
      "format": "%s %v",
      "display_priority": 100,
      "icon_url": "/icons/sa.svg",
      "name": "SAR",
      "description": "SAR",
      "id": "40a9cd1e-918b-45ca-bf39-efdb3b0024dd",
      "created_at": "2025-09-24T15:38:47.821485+02:00",
      "created_by": "00000000-0000-0000-0000-000000000000",
      "modified_at": "2025-09-24T15:38:47.821485+02:00",
      "modified_by": "00000000-0000-0000-0000-000000000000",
      "active": false,
      "metadata": null
    }
  ],
  "total": 169,
  "total_unfiltered": 169,
  "has_more": true
}